
%global meadversion 2.5.4
%global namedversion 2.5.4.redhat-2
%global meadalpha .redhat_2
%global meadrel .1
%global serial 2
%global namedversionrel redhat-2

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jackson-databind}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.5.4.redhat-2

Name:           %{?scl_prefix}jackson-databind
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        jackson-databind
Group:          Development/Java

%if %with mead
Source100: jackson-databind-2.5.4.redhat-2-scm-sources.zip
Source102: jackson-databind-2.5.4.redhat-2.pom
Source103: jackson-databind-2.5.4.redhat-2-project-sources.tar.gz
Source104: jackson-databind-2.5.4.redhat-2-javadoc.jar
Source105: jackson-databind-2.5.4.redhat-2.jar
Source106: jackson-databind-2.5.4.redhat-2-sources.jar
%endif

License:        ASL 2.0
URL:            http://github.com/FasterXML/jackson
Requires:       %{?scl_prefix_eap}jackson-annotations >= 0:2.5.1
Requires:       %{?scl_prefix_eap}jackson-core >= 0:2.5.1
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jackson-databind-%{namedversion}-%{release}-root

%description
General data-binding functionality for Jackson: works on core streaming API.

%if %with javadoc
%%package javadoc
Summary:        Javadoc for jackson-databind
Group:          Development/Java

BuildRequires:  unzip

%%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jackson-databind -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jackson-databind-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-databind-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-databind-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-databind-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jackson-databind-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-databind-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jackson-databind-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jackson-databind-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jackson-databind-%{namedversion} -x META-INF/\*
%{__ln_s} jackson-databind-%{namedversion} %{buildroot}%{_javadocdir}/jackson-databind
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md release-notes/CREDITS release-notes/VERSION
%{_javadir}/jackson-databind-%{namedversion}.jar
%{_javadir}/jackson-databind.jar
%if %with javadoc
%{_javadir}/jackson-databind-%{namedversion}-javadoc.jar
%{_javadir}/jackson-databind-javadoc.jar
%else
%exclude %{_javadir}/jackson-databind-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jackson-databind-javadoc.jar
%endif
%{_javadir}/jackson-databind-%{namedversion}-sources.jar
%{_javadir}/jackson-databind-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jackson-databind-%{namedversion}
%{_javadocdir}/jackson-databind
%endif

%changelog
* Wed Jun 28 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.4-2.redhat_2.1
- CVE-2017-7525 Upgrade to 2.5.4.redhat-2

* Tue Oct 27 2015 David Walluck <dwalluck@redhat.com> - 2.5.4-1.redhat_1.1
- 2.5.4

* Wed Aug 05 2015 David Walluck <dwalluck@redhat.com> - 2.5.2-1.redhat_1.1
- 2.5.2

* Tue Apr 07 2015 David Walluck <dwalluck@redhat.com> - 2.5.1-3.redhat_1.1
- fix Requires

* Tue Apr 07 2015 David Walluck <dwalluck@redhat.com> - 2.5.1-2.redhat_1.1
- fix Requires

* Tue Apr 07 2015 David Walluck <dwalluck@redhat.com> - 2.5.1-1.redhat_1.1
- release

